summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/urlgrabber/slack-desc8
-rw-r--r--network/urlgrabber/urlgrabber.SlackBuild11
-rw-r--r--network/urlgrabber/urlgrabber.info2
3 files changed, 17 insertions, 4 deletions
diff --git a/network/urlgrabber/slack-desc b/network/urlgrabber/slack-desc
index 773bf7d77a..4db16d09e4 100644
--- a/network/urlgrabber/slack-desc
+++ b/network/urlgrabber/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
urlgrabber: urlgrabber (python url-fetching module)
urlgrabber:
urlgrabber: urlgrabber is a pure python package that drastically simplifies the
diff --git a/network/urlgrabber/urlgrabber.SlackBuild b/network/urlgrabber/urlgrabber.SlackBuild
index a326d66327..75d4048bd1 100644
--- a/network/urlgrabber/urlgrabber.SlackBuild
+++ b/network/urlgrabber/urlgrabber.SlackBuild
@@ -24,14 +24,12 @@
# modified by Javier Rojas to fit urlgrabber
-# Exit on most errors
-set -e
-
PRGNAM=urlgrabber
VERSION=3.1.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -39,12 +37,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -70,4 +73,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/urlgrabber/urlgrabber.info b/network/urlgrabber/urlgrabber.info
index 06dfd9e4ec..223659646a 100644
--- a/network/urlgrabber/urlgrabber.info
+++ b/network/urlgrabber/urlgrabber.info
@@ -2,7 +2,9 @@ PRGNAM="urlgrabber"
VERSION="3.1.0"
HOMEPAGE="http://linux.duke.edu/projects/urlgrabber/"
DOWNLOAD="http://linux.duke.edu/projects/urlgrabber/download/urlgrabber-3.1.0.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="2a92d8ce0d89c5e772a98e9b8dcd5b73"
+MD5SUM_x86_64=""
MAINTAINER="Javier Rojas"
EMAIL="jerojasro@devnull.li"
APPROVED="dsomero"